MARCHIVEGET(1)

NAME
mArchiveGet - Retrieve a single FITS image from a remote archive

SYNOPSIS
mArchiveGet [-d] [-r] remoteref localfile

DESCRIPTION
Retrieve a single FITS image from a remote archive, using a basic URL GET but with a structured output.

OPTIONS

-d  Print additional debugging information.

-r  "Raw" mode - use a raw HTTP GET (no "HTTP/1.1" etc in the header); necessary for communication with some servers.

ARGUMENTS

remoteref
    URL of remote FITS file to retrieve (should be in quotes). See mArchiveList for more information.

localfile
    Full path/filename of the retrieved file.

RESULT
[struct stat="OK", count="bytes"]

If remoteref points to a g-zipped 2MASS QuickLook image, the image will be unzipped during transfer.

MESSAGES

OK  [struct stat="OK", count="bytes"]

ERROR
    Output file (localfile) open failed

ERROR
    Invalid URL string (must start 'http://')

ERROR
    No data reference given in URL

ERROR
    Illegal port number in URL

ERROR
    Illegal return from select()

ERROR
    Connection timed out

EXAMPLES

$ mArchiveGet "http://irsa.ipac.caltech.edu/cgi-bin/FileDownload/ nph-download?raw=1&ref=/ti08/971024n/s009/ image/j10090244.fits.gz" j10090244.fits
    [struct stat="OK", count="2111040"]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.